/* 
This CSS overrides the default SimpleSAMLphp styling to apply Kent-themed styles. 
It updates the following elements:
- Header and footer - applying background colour and logo
- Buttons - rounded look and feel
- Adds a custom heading to the consent form page for clarity
*/


body[id="core:logout-iframe"] .custom-restricted-width {
    padding: 1rem;
    background-color: #f4f4f4;
}

body[id="consent:consentform"] #content .wrap::before {
    content: "Sharing your details with a third party";
    display: block;
    font-size: 2em;
    font-weight: 900;
    margin: 1em 0;
}

#header #logo {
    display: none;
}

#header {
    background: #101921;
    color: #fff;
    height: 76px;
}

#footer {
    background: #101921;
}

.logospace {
    width: 70px;
    height: 76px;
    background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='54' height='29' viewBox='0 0 1888 1024' fill='%23fff'%3E%3Cpath d='M94.855 272.08c-76.097 0-92.142-41.529-92.142-86.007V26.506h39.11v156.676c0 32.267 10.736 56.63 55.568 56.63 39.464 0 57.338-16.517 57.338-61.644V26.506h38.402v148.713c-.059 64.594-34.804 96.861-98.277 96.861zm259.141-3.54V154.1c0-22.18-6.135-35.453-26.958-35.453-26.486 0-46.602 28.256-46.602 64.181v85.712h-37.93V120.004c-8.612-1.357-16.163-2.831-26.604-3.539V92.751c20.056-2.124 41.234-3.598 63.178-2.419 0 9.261-1.121 24.717-2.89 35.158h.708c10.382-22.947 31.913-38.697 61.703-38.697 40.526 0 53.386 25.778 53.386 56.984v124.822h-37.989zm82.409 0V120.004c-8.612-1.357-16.104-2.831-26.545-3.539V92.751c20.056-2.124 41.234-3.657 64.535-2.478v178.208h-37.989zm19.054-210.475c-12.86 0-23.655-10.146-23.655-23.36 0-12.86 10.795-23.301 23.655-23.301 13.155 0 23.95 10.441 23.95 23.301 0 12.919-10.795 23.36-23.95 23.36zM602.402 268.54h-39.11L496.575 90.332h42.355l33.27 94.265c4.306 12.211 8.259 24.776 11.444 36.574h.354c2.831-11.09 6.43-23.655 10.441-35.099l34.037-95.74h41.234L602.403 268.54zm221.151-86.125H709.88c-1.121 40.585 17.225 58.813 52.737 58.813 17.225 0 35.158-3.598 51.262-10.736l5.014 30.085c-18.582 7.492-40.821 11.444-63.06 11.444-54.86 0-85.358-28.61-85.358-91.434 0-53.798 29.436-93.911 81.465-93.911 50.908 0 72.793 34.686 72.793 77.099-.118 5.073-.413 11.09-1.18 18.641zm-73.147-67.366c-21.531 0-36.515 15.809-39.759 40.88h75.684c.649-25.542-13.332-40.88-35.925-40.88zm201.981 9.734c-37.281-7.256-54.506 17.874-54.506 71.318v72.498h-37.989V120.063c-8.612-1.357-16.163-2.831-26.545-3.539V92.81c20.056-2.124 41.175-3.657 63.06-2.478 0 10.028-1.357 25.837-3.598 39.405h.826c7.905-24.009 25.483-46.189 60.523-42.649l-1.77 37.694zm58.399 147.297c-13.627 0-28.256-1.77-39.464-5.014l2.89-32.621c11.149 4.247 25.425 6.784 39.11 6.784 20.056 0 34.037-8.966 34.037-23.301 0-36.574-78.161-14.393-78.161-76.038 0-31.205 23.655-55.214 72.793-55.214 10.795 0 23.301 1.416 33.624 3.598l-2.124 30.793c-10.382-3.244-22.18-5.014-33.624-5.014-21.177 0-31.264 8.612-31.264 22.239 0 35.099 78.928 15.75 78.928 75.684 0 33.742-29.377 58.105-76.745 58.105zm112.199-3.54V120.004c-8.612-1.357-16.163-2.831-26.545-3.539V92.751c20.115-2.124 41.234-3.657 64.594-2.478v178.208h-38.048zm18.935-210.475c-12.86 0-23.537-10.146-23.537-23.36 0-12.86 10.736-23.301 23.537-23.301 13.273 0 24.068 10.441 24.068 23.301.059 12.919-10.795 23.36-24.068 23.36zm125.53 213.661c-38.048 0-49.492-14.688-49.492-54.506v-97.156h-34.037V90.333h34.037V33.644l38.343-10.382v67.071h46.602v29.731h-46.602v85.358c0 26.486 5.486 33.624 23.36 33.624 7.964 0 15.455-1.062 21.826-2.478l3.244 30.793c-10.736 2.596-25.425 4.365-37.281 4.365zm153.137 9.32c-22.18 59.52-45.835 77.748-86.361 77.748-6.843 0-16.458-1.121-22.593-2.124l4.247-33.329c6.135 1.77 14.688 2.831 21.826 2.831 16.871 0 32.621-8.2 44.478-40.113l6.43-17.52-66.658-178.208h43.003l29.141 81.347c5.663 15.809 9.969 31.559 13.922 46.661h.295c3.657-14.393 11.149-37.694 17.697-55.509l25.425-72.498h41.234l-72.085 190.713zm233.068-8.966c-49.492 0-81.76-27.607-81.76-90.313 0-53.798 34.745-94.973 88.897-94.973 47.723 0 81.347 26.486 81.347 89.251 0 54.742-35.748 96.035-88.484 96.035zm4.011-153.078c-23.36 0-45.894 17.933-45.894 58.754 0 40.231 15.75 61.29 45.481 61.29 24.717 0 45.481-19.349 45.481-60.582 0-37.989-14.688-59.461-45.068-59.461zm224.927-79.99c-7.787-2.537-16.458-3.598-24.304-3.598-23.006 0-33.329 12.565-33.329 40.467v14.452h46.248v29.731h-46.248V268.6h-37.989V120.064h-34.155V90.333h34.155V76.706c0-48.725 23.301-72.439 69.549-72.439 10.087 0 19.703 1.062 29.023 3.244l-2.949 31.5zm-541.406 976.867V695.625c0-62.234-19.879-99.397-87.6-99.397-86.597 0-151.957 79.341-151.957 179.682v239.911H977.693V600.239c-28.079-4.011-46.72-9.143-82.821-10.028v-66.245c65.419-6.076 130.78-10.087 202.039-7.079 0 26.132-3.48 69.313-9.32 98.395h.649c33.919-64.299 105.768-108.423 202.747-108.423 132.078 0 174.137 72.321 174.137 159.567v349.395h-123.937zm424.666 9.026c-124.114 0-161.572-41.175-161.572-152.665V600.298h-106.594v-83.352h106.594V363.101l125.294-29.141v183.045h152.193v83.352h-152.252v238.908c0 74.268 17.579 94.324 76.156 94.324 25.778 0 50.318-2.949 71.377-6.961l10.618 86.184c-35.158 7.079-83.116 12.093-121.813 12.093zM850.689 913.237l18.228 84.178s-88.897 30.616-200.329 30.616c-272.827 8.2-397.826-168.828-420.478-196.553-21.177-25.837-121.46-146.648-121.46-146.648v331.226H2.772V338.384H126.65v314.178l263.035-314.178h143.286L247.756 664.537s75.212 92.614 105.827 126.002c49.551 53.916 204.93 223.806 497.105 122.698zM384.73 762.342c22.77 24.894 70.316 76.568 143.876 109.485a381.645 381.645 0 0016.989 7.02c-21.295-30.026-34.627-72.734-34.627-132.786 0-83.352 34.509-159.803 135.322-159.803 74.74 0 121.401 43.062 119.041 114.322v.944c-73.56-3.126-144.819 3.303-212.303 9.379v66.186l334.412 18.405c2.419-21.118 4.837-58.695 4.837-72.734 0-118.451-71.377-215.961-246.635-215.961-184.46 0-262.268 132.255-262.268 239.498 0 4.601.059 9.143.177 13.627.059 1.593.59 1.711 1.18 2.419z'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: 50%;
    background-size: 70px;
}

.language-bar {
    height: 76px;
}

.menu-link,
.menu-link:hover,
.menu-link:focus {
    padding-top: 1.4rem;
    color: #fff;
}

.pure-button-red {
    background-color: #101921;
    color: #fff;
}

#btn-all {
    margin-right: 1rem;
}

#content .pure-button {
    border-radius: 999px;
    margin-bottom: 1rem;
}


